import type { UiParameter } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/parameters/types";
export declare function filterToUrlEncoded(filter: any[]): string | null;
export declare function getFilterTitle(filter: any[]): string;
export declare function formatAllOptionsWidget(urlEncoded: string): string | null;
export declare function formatRangeWidget(value: string): string | null;
export declare function formatDateValue(value: string, parameter: UiParameter): string | null;
export declare function formatDateValueForType(value: string, type: string): string | null;
